import setuptools
import pynpong

with open('requirements.txt') as fh:
    required = fh.read().splitlines()

with open('README.md', 'r') as fh:
    long_description = fh.read()

setuptools.setup(
    name='PyPong',
    version=pynpong.__version__,
    author='Nicholas Dyer',
    description='A game of pong made in PyGame for play over a local network',
    license='GNU GPL-3.0',
    long_description=long_description,
    long_description_content_type='text/markdown',
    url='https://gitea.citruxx.com/ndyer/PynPong',
    packages=setuptools.find_packages(),
    # https://pypi.org/classifiers/
    classifiers=[
    ],
    install_requires=required,
    python_requires='>=3.10',
    include_package_data=True,
)